from rest_framework import serializers
from . import models

# --------------- FINE PREFISSO TEMPLATE ---------------


class ContattoAziendaleSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ContattoAziendale
        fields = ('azienda', 'is_personale')


class RecapitoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Recapito
        fields = ('soggetto')


class TelefonoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Telefono
        fields = ('numero', 'interno', 'note')


class EmailSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Email
        fields = ('indirizzo_email', 'note')


class PersonaFisicaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PersonaFisica
        fields = ('titolo', 'nome', 'cognome', 'is_privato')


class PersonaGiuridicaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PersonaGiuridica
        fields = ('denominazione')


class SedeSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Sede
        fields = ('societa', 'is_legale')


class FaxSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Fax
        fields = ('numero', 'note')


class PecSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Pec
        fields = ('')


class SoggettoContattabileSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.SoggettoContattabile
        fields = ('')


class IndirizzoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Indirizzo
        fields = ('')


class SocietaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Societa
        fields = ('nazione', 'soggetto', 'ragione_sociale')
